Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.discovery
Class IncomingNotificationRequest

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>
          org.teleal.cling.model.message.IncomingDatagramMessage<UpnpRequest>
              org.teleal.cling.model.message.discovery.IncomingNotificationRequest

    public class IncomingNotificationRequest

extends IncomingDatagramMessage<UpnpRequest>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`IncomingNotificationRequest(IncomingDatagramMessage<UpnpRequest> source)`

Method Summary
`byte[]` | `getInterfaceMacHeader()`
`URL` | `getLocationURL()`
`Integer` | `getMaxAge()`
`UDN` | `getUDN()`
`boolean` | `isAliveMessage()`
`boolean` | `isByeByeMessage()`

Methods inherited from class org.teleal.cling.model.message.IncomingDatagramMessage
`getLocalAddress, getSourceAddress, getSourcePort`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncomingNotificationRequest

    public IncomingNotificationRequest(IncomingDatagramMessage<UpnpRequest> source)

Method Detail

### isAliveMessage

    public boolean isAliveMessage()

### isByeByeMessage

    public boolean isByeByeMessage()

### getLocationURL

    public URL getLocationURL()

### getUDN

    public UDN getUDN()

  Returns:
    The UDN value after parsing various USN header values, or `null`.

### getMaxAge

    public Integer getMaxAge()

### getInterfaceMacHeader

    public byte[] getInterfaceMacHeader()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.